#
# spec file for package hoard
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hoard
Version:        1.3.1~0
Release:        1.5
Summary:        CLI command organizer
License:        MIT
Group:          Productivity/File utilities
URL:            https://hyde46.github.io/hoard/
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  libopenssl-devel

%description
Command organizer tool to hoard all your precious commands.

%prep
%autosetup -a1
mkdir .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/%{name}

%changelog
* Sat Feb 11 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.3.1:
  * Fix bug, where hoard pick would not properly replace named
    parameterized commands
  * Tab highlight now also uses customizable color from config file
  * Added update checker on startup, to notify the user about a
    new version
* Wed Dec 21 2022 Michael Vetter <mvetter@suse.com>
- Update to 1.3.0:
  * Inline command editing in the GUI. Press to get started.
    Only editing the command, its description and the tags are
    supported for now
  * Inline command deletion in the GUI. Press to delete a command
    in the GUI view
  * Inline command creation in the GUI. Press to create a new
    command in the GUI view
* Wed Dec  7 2022 Michael Vetter <mvetter@suse.com>
- Initial package of hoard 1.2.0 for openSUSE
